#----------------------------------------------------------------------------------------
require 'sketchup.rb'
#----------------------------------------------------------------------------------------
module Jimhami42
  module ImportBoxesAlex
# MAIN BODY -----------------------------------------------------------------------------
#
    class  << self
      def import_boxes_alex()
        model = Sketchup.active_model
        filename = UI.openpanel("Select TXT File", "~", "Text Files|*.txt;||")
        data = File.open(filename,"r")
        while(t = data.gets)
          t.gsub(/\s+/,"").chomp
          x,h,w,d = t.split(',')
          g = model.entities.add_group
          g.name = x
          f = g.entities.add_face([0,0,0],[w.to_f,0,0],[w.to_f,d.to_f,0],[0,d.to_f,0])
          f.reverse!
          f.pushpull(h.to_f,0)
        end
      end
    end
# MAIN BODY -----------------------------------------------------------------------------
    unless file_loaded?("jimhami42_import_boxes_alex.rb")
      menu = UI.menu("PlugIns").add_item("Import Boxes Alex") { import_boxes_alex() }
    file_loaded("jimhami42_import_boxes_alex.rb")
    end
# MAIN BODY -----------------------------------------------------------------------------
  end
end
